Name: findutils
Version: 4.6.0
Release: 5
License: GPL-3.0-or-later
Summary: GNU find and xargs
Url: https://www.gnu.org/software/findutils/

Source0: https://ftp.gnu.org/pub/gnu/findutils/findutils-%{version}.tar.gz

Patch0: findutils-readlinkat.patch
Patch1: findutils-really-no-openat.patch

%description
The GNU Find Utilities are the basic directory searching utilities of the GNU
operating system. These programs are typically used in conjunction with other
programs to provide modular and powerful directory search and file locating
capabilities to other commands.

The tools supplied with this package are:

    find - search for files in a directory hierarchy
    locate - list files in databases that match a pattern
    updatedb - update a file name database
    xargs - build and execute command lines from standard input 

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%build

# autoreconf -fi


%configure \
  ac_cv_func_faccessat=no \
  ac_cv_func_fchmodat=no \
  ac_cv_func_fchownat=no \
  ac_cv_func_fstatat=no \
  ac_cv_func_futimesat=no \
  ac_cv_func_linkat=no \
  ac_cv_func_lstat=yes \
  ac_cv_func_mkdirat=no \
  ac_cv_func_mkfifoat=no \
  ac_cv_func_mknodat=no \
  ac_cv_func_openat=no \
  ac_cv_func_readlinkat=no \
  ac_cv_func_renameat=no \
  ac_cv_func_symlinkat=no \
  ac_cv_func_unlinkat=no \
  ac_cv_func_utimensat=no \
  CPPFLAGS="-I%{_includedir} -I%{_includedir}/ncurses -DNDEBUG" \
  LIBS='-lpthread' \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --enable-threads=posix \
  --enable-shared \
  --disable-static \
  --disable-nls \
  --disable-rpath \
  # end

%make_build


%install

%make_install

rm %{buildroot}/%{_libdir}/charset.alias

%files
%defattr(-, qsys, *none)

%{_bindir}/find
%{_bindir}/locate
%{_bindir}/updatedb
%{_bindir}/xargs

%{_libexecdir}/bigram
%{_libexecdir}/code
%{_libexecdir}/frcode

%{_infodir}/find-maint.info*
%{_infodir}/find.info*
%{_infodir}/find.info-1*
%{_infodir}/find.info-2*

%{_mandir}/man1/find.1*
%{_mandir}/man1/locate.1*
%{_mandir}/man1/updatedb.1*
%{_mandir}/man1/xargs.1*
%{_mandir}/man5/locatedb.5*

%changelog
* Mon Jun 27 2022 Kevin Adler <kadler@us.ibm.com> - 4.6.0
- Remove unneeded build dependencies

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> -  4.6.0
- Use brp-rm-libtool-files

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 4.6.0
- Use generic paths for man and info pages to allow for compression

* Wed Nov 20 2019 Kevin Adler <kadler@us.ibm.com> - 4.6.0
- Disable half-implemented *at APIs, fixing IBM i 7.2 build

* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 4.6.0
- Use SPDX license

* Fri Nov 16 2018 - Mark Irish <mirish@ibm.com>
- Add -DNDEBUG to CPPFLAGS to prevent assertion error
- See https://bitbucket.org/ibmi/opensource/issues/6/error-using-locate-statistics

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Initial package
